%define		_class		I18N
%define		upstream_name	%{_class}

%global		__requires_exclude pear\\(Translate\\)|pear\\(HTML/IT.php\\)

Name:		php-pear-%{upstream_name}
Version:	1.0.0
Release:	%mkrel 9
Summary:	Internationalization package
License:	PHP License
Group:		Development/PHP
URL:		http://pear.php.net/package/I18N/
Source0:	http://download.pear.php.net/package/%{upstream_name}-%{version}.tar.bz2
Requires(post): php-pear
Requires(preun): php-pear
Requires:	php-pear
BuildArch:	noarch
BuildRequires:	php-pear

%description
This package supports you to localize your applications. Currently
multiple ways of supporting translation are implemented and methods to
determine the current users (browser-)language.

%prep
%setup -q -c
mv package.xml %{upstream_name}-%{version}/%{upstream_name}.xml

%install
cd %{upstream_name}-%{version}
pear install --nodeps --packagingroot %{buildroot} %{upstream_name}.xml
rm -rf %{buildroot}%{_datadir}/pear/.??*

rm -rf %{buildroot}%{_datadir}/pear/doc
rm -rf %{buildroot}%{_datadir}/pear/test

install -d %{buildroot}%{_datadir}/pear/packages
install -m 644 %{upstream_name}.xml %{buildroot}%{_datadir}/pear/packages

%files
%doc %{upstream_name}-%{version}/docs/*
%{_datadir}/pear/%{_class}
%{_datadir}/pear/packages/%{upstream_name}.xml


%changelog
* Wed Feb 17 2016 luigiwalser <luigiwalser> 1.0.0-9.mga6
+ Revision: 964604
- fix file list the correct way

* Wed Feb 17 2016 umeabot <umeabot> 1.0.0-8.mga6
+ Revision: 964492
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.0-7.mga5
+ Revision: 743308
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 tv <tv> 1.0.0-6.mga5
+ Revision: 734051
- rebuild for pear deps

* Tue Sep 16 2014 umeabot <umeabot> 1.0.0-5.mga5
+ Revision: 687307
- Mageia 5 Mass Rebuild

  + tv <tv>
    - use %%global for req/prov exclude
    - autoconvert to new prov/req excludes

* Fri Oct 18 2013 umeabot <umeabot> 1.0.0-4.mga4
+ Revision: 516962
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.0.0-3.mga3
+ Revision: 376717
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 28 2011 spuhler <spuhler> 1.0.0-2.mga1
+ Revision: 42677
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-I18N

